## org.h2.value
Class ValueGeometry

    java.lang.Object
      org.h2.value.Value
          org.h2.value.ValueGeometry

    public class ValueGeometry

extends Value

Implementation of the GEOMETRY data type.

Nested Class Summary

Nested classes/interfaces inherited from class org.h2.value.Value
`Value.ValueBlob, Value.ValueClob`

Field Summary

Fields inherited from class org.h2.value.Value
`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, FLOAT, GEOMETRY, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TYPE_COUNT, UNKNOWN, UUID`

Method Summary
`protected int` `compareSecure(Value v, CompareMode mode)` Compare the value with another value of the same type.
`Value` `convertTo(int targetType)` Compare a value to the specified type.
`boolean` `equals(java.lang.Object other)` Check if the two values have the same hash code.
`static ValueGeometry` `get(byte[] bytes)` Get or create a geometry value for the given geometry.
`static ValueGeometry` `get(java.lang.String s)` Get or create a geometry value for the given geometry.
`static ValueGeometry` `get(java.lang.String s, int srid)` Get or create a geometry value for the given geometry.
`byte[]` `getBytes()`
`byte[]` `getBytesNoCopy()`
`int` `getDisplaySize()` Get the display size in characters.
`Value` `getEnvelopeUnion(ValueGeometry r)` Get the union.
`static ValueGeometry` `getFromGeometry(java.lang.Object o)` Get or create a geometry value for the given geometry.
`com.vividsolutions.jts.geom.Geometry` `getGeometry()` Get a copy of geometry object.
`com.vividsolutions.jts.geom.Geometry` `getGeometryNoCopy()`
`int` `getMemory()` Get the memory used by this object.
`java.lang.Object` `getObject()` Get the value as an object.
`long` `getPrecision()` Get the precision.
`java.lang.String` `getSQL()` Get the SQL expression for this value.
`java.lang.String` `getString()` Get the value as a string.
`int` `getType()` Get the value type.
`byte[]` `getWKB()` Get the value in Well-Known-Binary format.
`java.lang.String` `getWKT()` Get the value in Well-Known-Text format.
`int` `hashCode()`
`boolean` `intersectsBoundingBox(ValueGeometry r)` Test if this geometry envelope intersects with the other geometry envelope.
`void` `set(java.sql.PreparedStatement prep, int parameterIndex)` Set the value as a parameter in a prepared statement.

Methods inherited from class org.h2.value.Value

`add, checkPrecision, clearCache, close, compareTo, compareTypeSave, convertPrecision, convertScale, copyToResult, copyToTemp, divide, getBigDecimal, getBoolean, getByte, getDataHandler, getDate, getDouble, getFloat, getHigherOrder, getInputStream, getInt, getLong, getReader, getResultSet, getScale, getShort, getSignum, getSmall, getTableId, getTime, getTimestamp, getTraceSQL, isLinked, link, modulus, multiply, negate, subtract, throwUnsupportedExceptionForType, toString, unlink`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getFromGeometry

    public static ValueGeometry getFromGeometry(java.lang.Object o)

  Get or create a geometry value for the given geometry.

  Parameters:
    `o` - the geometry object (of type com.vividsolutions.jts.geom.Geometry)
  Returns:
    the value

### get

    public static ValueGeometry get(java.lang.String s)

  Get or create a geometry value for the given geometry.

  Parameters:
    `s` - the WKT representation of the geometry
  Returns:
    the value

### get

    public static ValueGeometry get(java.lang.String s,
                                    int srid)

  Get or create a geometry value for the given geometry.

  Parameters:
    `s` - the WKT representation of the geometry
    `srid` - the srid of the object
  Returns:
    the value

### get

    public static ValueGeometry get(byte[] bytes)

  Get or create a geometry value for the given geometry.

  Parameters:
    `bytes` - the WKB representation of the geometry
  Returns:
    the value

### getGeometry

    public com.vividsolutions.jts.geom.Geometry getGeometry()

  Get a copy of geometry object. Geometry object is mutable. The returned object is therefore copied before returning.

  Returns:
    a copy of the geometry object

### getGeometryNoCopy

    public com.vividsolutions.jts.geom.Geometry getGeometryNoCopy()

### intersectsBoundingBox

    public boolean intersectsBoundingBox(ValueGeometry r)

  Test if this geometry envelope intersects with the other geometry envelope.

  Parameters:
    `r` - the other geometry
  Returns:
    true if the two overlap

### getEnvelopeUnion

    public Value getEnvelopeUnion(ValueGeometry r)

  Get the union.

  Parameters:
    `r` - the other geometry
  Returns:
    the union of this geometry envelope and another geometry envelope

### getType

    public int getType()

  Description copied from class: `Value`
  Get the value type.

  Specified by:
    `getType` in class `Value`
  Returns:
    the type

### getSQL

    public java.lang.String getSQL()

  Description copied from class: `Value`
  Get the SQL expression for this value.

  Specified by:
    `getSQL` in class `Value`
  Returns:
    the SQL expression

### compareSecure

    protected int compareSecure(Value v,
                                CompareMode mode)

  Description copied from class: `Value`
  Compare the value with another value of the same type.

  Specified by:
    `compareSecure` in class `Value`
  Parameters:
    `v` - the other value
    `mode` - the compare mode
  Returns:
    0 if both values are equal, -1 if the other value is smaller, and 1 otherwise

### getString

    public java.lang.String getString()

  Description copied from class: `Value`
  Get the value as a string.

  Specified by:
    `getString` in class `Value`
  Returns:
    the string

### getPrecision

    public long getPrecision()

  Description copied from class: `Value`
  Get the precision.

  Specified by:
    `getPrecision` in class `Value`
  Returns:
    the precision

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Value`

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Value`
  Get the value as an object.

  Specified by:
    `getObject` in class `Value`
  Returns:
    the object

### getBytes

    public byte[] getBytes()

  Overrides:
    `getBytes` in class `Value`

### getBytesNoCopy

    public byte[] getBytesNoCopy()

  Overrides:
    `getBytesNoCopy` in class `Value`

### set

    public void set(java.sql.PreparedStatement prep,
                    int parameterIndex)
             throws java.sql.SQLException

  Description copied from class: `Value`
  Set the value as a parameter in a prepared statement.

  Specified by:
    `set` in class `Value`
  Parameters:
    `prep` - the prepared statement
    `parameterIndex` - the parameter index
  Throws:
    `java.sql.SQLException`

### getDisplaySize

    public int getDisplaySize()

  Description copied from class: `Value`
  Get the display size in characters.

  Specified by:
    `getDisplaySize` in class `Value`
  Returns:
    the display size

### getMemory

    public int getMemory()

  Description copied from class: `Value`
  Get the memory used by this object.

  Overrides:
    `getMemory` in class `Value`
  Returns:
    the memory used in bytes

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `Value`
  Check if the two values have the same hash code. No data conversion is made; this method returns false if the other object is not of the same class. For some values, compareTo may return 0 even if equals return false. Example: ValueDecimal 0.0 and 0.00.

  Specified by:
    `equals` in class `Value`
  Parameters:
    `other` - the other value
  Returns:
    true if they are equal

### getWKT

    public java.lang.String getWKT()

  Get the value in Well-Known-Text format.

  Returns:
    the well-known-text

### getWKB

    public byte[] getWKB()

  Get the value in Well-Known-Binary format.

  Returns:
    the well-known-binary

### convertTo

    public Value convertTo(int targetType)

  Description copied from class: `Value`
  Compare a value to the specified type.

  Overrides:
    `convertTo` in class `Value`
  Parameters:
    `targetType` - the type of the returned value
  Returns:
    the converted value